xfconf (4.18.3-2) unstable; urgency=medium

  * add lintian override for false positive

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 26 Jul 2024 16:04:44 +0200

xfconf (4.18.3-1) unstable; urgency=medium

  [ Yves-Alexis Perez ]
  * d/watch: track upstream 4.18 releases
  * d/gbp.conf: track 4.18 branches
  * New upstream version 4.18.3
  * d/control: replace pkg-config by pkgconf in depends

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 26 Jul 2024 13:42:11 +0200

xfconf (4.18.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.1.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Tue, 13 Jun 2023 02:24:48 -0400

xfconf (4.18.0-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Explicitly disable vala. (Closes: #1031968)

 -- Unit 193 <unit193@debian.org>  Mon, 27 Feb 2023 00:54:48 -0500

xfconf (4.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.0.
  * d/*.docs,d/rules: Opt-out of trimmed changelogs, install NEWS as changelog.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Dec 2022 05:51:50 -0500

xfconf (4.17.2-1) experimental; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Unit 193 ]
  * New upstream version 4.17.2.
  * d/control:
    - Bump B-D on libxfce4util-dev to 4.17.3.
    - Mark gir1.2-xfconf-0 M-A: same.
    - Drop B-D on libextutils-(depends,pkgconfig)-perl, libglib-perl.
    - Bump DH compat to 13.
  * d/rules: Use execute_after_auto_install for removing .la files.

 -- Unit 193 <unit193@debian.org>  Sat, 10 Dec 2022 02:50:03 -0500

xfconf (4.16.0-2) unstable; urgency=medium

  * d/control: version xfce4-dev-tool build-dep to 4.16

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 23 Dec 2020 13:31:58 +0100

xfconf (4.16.0-1) unstable; urgency=medium

  * New upstream version 4.16.0
  * d/control: update Homepage
  * Upload to unstable

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 23 Dec 2020 09:51:35 +0100

xfconf (4.15.1-1) experimental; urgency=medium

  * New upstream version 4.15.1
  * d/xfconf.install: install bash completion file
  * d/rules: explicitly disable GSettings backend

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 13 Dec 2020 13:15:34 +0100

xfconf (4.14.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libxfconf-0-3, libxfconf-0-dev: Add Multi-Arch: same.

  [ Yves-Alexis Perez ]
  * New upstream version 4.14.4
  * d/watch: update to format 4
  * d/control: update standards version to 4.5.1

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 29 Nov 2020 11:16:41 +0100

xfconf (4.14.3-2) unstable; urgency=medium

  * Team upload.
  * d/control, d/libxfconf-0-dev.install, d/rules:
    - Enable and install introspection support.

 -- Unit 193 <unit193@debian.org>  Sat, 14 Nov 2020 04:48:43 -0500

xfconf (4.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.14.3.
  * d/control:
    - Drop explicit Build-depends on dpkg-dev and libtool.
    - R³: no.
    - Bump DH compat to 12.
  * d/rules: Move '--fail-missing' to dh_missing.
  * d/libxfconf-0-3.symbols: Set Build-Depends-Package.
  * d/watch:
    - Update for upstream's move to mirrorbit.
    - Use uscan special strings.
  * Update Standards-Version to 4.5.0.

 -- Unit 193 <unit193@debian.org>  Tue, 12 May 2020 18:49:04 -0400

xfconf (4.14.1-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream version 4.13.6
  * d/compat, d/control: Bump dh compat to 11.
  * d/control: Drop Lionel from uploaders, thanks!
  * d/rules:
    - Drop --parallel, --disable-silent-rules and xdt-autogen, now default.
    - Drop dbgsym migration as it is now complete.
    - Pass '--enable-gtk-doc' during configure to fix consecutive builds.
  * Bump Standards-Version to 4.2.1.

  [ Mateusz Łukasik ]
  * New upstream version 4.13.7.
  * New upstream version 4.13.8.

  [ Yves-Alexis Perez ]
  * d/control: update standards version to 4.4.0
  * use debhelper-compat b-dep for dh compat level

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 14 Aug 2019 16:41:30 +0200

xfconf (4.13.5-1) experimental; urgency=medium

  [ Unit 193 ]
  * d/control:
    - Update Standards-Version to 4.1.2.
  * d/control, d/copyright, d/watch:
    - Use https where possible.
  * Fix trailing whitespace in old changelog entry.

  [ Yves-Alexis Perez ]
  * New upstream version 4.13.5
  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org.
                                                                closes: #899749

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 09 Jul 2018 21:22:34 +0200

xfconf (4.13.4-1) experimental; urgency=medium

  [ Unit 193 ]
  * New upstream development release.
  * d/control:
    - Update Standards-Version to 4.1.1.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 21 Oct 2017 15:04:56 +0200

xfconf (4.13.2-1) experimental; urgency=medium

  * New upstream development release.
  * debian/control:
    - update standards version to 4.0.0.
    - rename library package to libxfconf-0-3 for soname bump.
    - drop libdbus-1-dev and libdbus-glib-1-dev from build-dep and
      libxfconf-0-dev depends.
  * debian/libxfconf-0-2.{symbols,install} renamed as well.
  * debian/libxfconf-0-3.symbols: update library filename.
  * Run wrap-and-sort.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 23 Jun 2017 13:50:30 +0200

xfconf (4.12.1-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * Update symbols file.
  * debian/control:
    - Use secured links for VCS.
    - Drop duplicate section field.
  * debian/copyright: Fix license location. (LP: #1469010)

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 12 Nov 2016 15:15:53 +0100

xfconf (4.12.0-3) unstable; urgency=medium

  * debian/control:
    - move dbus-x11 dependency to default-dbus-session-bus |dbus-session-bus.
                                                                closes: #836030
    - update standards version to 3.9.8.
    - drop libxfconf-0-2-dbg package.
  * debian/rules:
    - migrate to dbgsym packages.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 30 Aug 2016 22:24:38 +0200

xfconf (4.12.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 15:34:54 +0200

xfconf (4.12.0-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * Bump standards-version to 3.9.6.
  * Remove 0001-Simplify-checks.patch -- included upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 08 Mar 2015 15:13:41 +0100

xfconf (4.10.0-3) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * debian/control: bump standards-version to 3.9.5
  * debian/rules: Use disable-silent-rules

  [ Yves-Alexis Perez ]
  * debian/patches:
    - 0001-Simplify-checks added, fix breakage in tests when running
      xdt-autogen.
  * debian/rules:
    - call xdt-autogen before configure in order to regenerate autotools files
      and support newer architectures.                          closes: #756428
  * debian/control:
    - add build-dep on xfce4-dev-tools, libtool and gtk-doc-tools.
    - fix spelling error in -dbg synopsis.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 03 Sep 2014 22:07:46 +0200

xfconf (4.10.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules:
    - enable all hardening flags.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 21 May 2013 20:56:21 +0200

xfconf (4.10.0-1) experimental; urgency=low

  * New upstream stable release.
  * debian/control: revert b-dep to unversioned libxfce4util -dev package, and
    require >= 4.10.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Fri, 04 May 2012 21:40:42 +0200

xfconf (4.9.1-1) experimental; urgency=low

  * New upstream development release.
  * debian/libxfconf-0-dev.install: drop *.a files, they aren't build anymore
    with latest xfce4-dev-tools.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 15 Apr 2012 15:27:07 +0200

xfconf (4.9.0-1) experimental; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream development release.
    - update libxfce4util build-dep for 4.9.
    - update debhelper build-dep to 9.
    - add build-dep on dpkg-dev 1.16.1.
    - drop build-dep on hardening-includes.
    - add depend on ${misc:Pre-Depends} on lib package for multi-arch.
  * debian/rules:
    - use debhelper 9 and dpkg-dev 1.16.1 hardening support.
    - update paths for multi-arch.
    - build with --parallel.
  * debian/compat bumped to 9.
  * debian/*.install:
    - update paths for multi-arch.

  [ Lionel Le Folgoc ]
  * debian/rules:
    - drop --sourcedir from dh_install, unneeded, and pass -X .la to ignore
      .la files instead of deleting them manually.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 08 Apr 2012 15:56:33 +0200

xfconf (4.8.1-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream bugfix release, including:
    - fix double free                                               lp: #802280
    - update Dutch translation.                                     lp: #781060

  [ Yves-Alexis Perez ]
  * debian/rules:
    - drop useless --enable-final argument to configure.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Wed, 28 Dec 2011 21:18:17 +0100

xfconf (4.8.0-3) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - drop the build-conflict, not really supported for that purpose and 8.1.0
      isn't available anywhere anymore anyway.
    - remove Emanuele, Simon and Michael from uploaders, thanks to them.
    - update standards version to 3.9.2.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 15:53:30 +0200

xfconf (4.8.0-2) experimental; urgency=low

  * debian/control:
    - add debhelper build-conflicts to avoid 8.1.0 because we use
      --remaining-packages in overrides rules.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 20 Feb 2011 14:57:08 +0100

xfconf (4.8.0-1) experimental; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/control:
    - add build-dep on hardening-includes
  * debian/rules:
    - add hardening flags to {C,LD}FLAGS.
  * debian/xfconf.install:
    - update xfconfd path.
  * debian/copyright updated for new release.

  [ Lionel Le Folgoc ]
  * debian/libxfconf-0-2.symbols: added.
  * debian/rules:
    - call dpkg-buildflags instead of doing manual tests
    - call dh_shlibdeps with special options only for xfconf; use
      --remaining-packages for the others.
  * debian/control:
    - bump Standards-Version to 3.9.1, no further change.
    - bump required libxfce4util-dev b-dep to >= 4.8.0.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 06 Feb 2011 16:49:50 +0100

xfconf (4.6.2-1) unstable; urgency=low

  [ Stefan Ott ]
  * debian/watch edited to track Xfce archive reorganisation.

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/control:
    - add build-dep on intltool.
    - update standards version to 3.8.4.
  * Switch to 3.0 (quilt) source format.

  [ Lionel Le Folgoc ]
  * debian/xfconf.install: refreshed.
  * debian/xfconf.manpages, debian/libxfconf-0-dev.docs: added.
  * debian/control:
    - add myself to Uploaders
    - bump debhelper b-dep to (>= 7.0.50~) for overrides.
  * debian/rules:
    - switch to rules.tiny with overrides
    - disable tests, they need dbus.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 23 May 2010 13:00:19 +0200

xfconf (4.6.1-2) unstable; urgency=low

  * debian/control:
    - correct description, xfsettingsd is in xfce4-settings package.
    - update standards version to 3.8.3.
    - add depends on ${misc:Depends}.
  * debian/xfconf-query.1:
    - update xfconf-query manpage from latest version.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 30 Dec 2009 12:56:57 +0100

xfconf (4.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - move lib to libs section and -dev to libdevel one.
  * debian/rules:
    - demote xfconf dependency on libxfconf to Recommends.      closes: #524615

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 19 Apr 2009 13:40:12 +0200

xfconf (4.6.0-3) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - update standards version to 3.8.1.
    - move to xfce section.
  * debian/rules:
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 00:51:30 +0200

xfconf (4.6.0-2) experimental; urgency=low

  * debian/copyright:
    - add path to complete LGPL text.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 09 Mar 2009 07:34:23 +0100

xfconf (4.6.0-1) experimental; urgency=low

  [ Yves-Alexis Perez ]
  [ Xfce 4.6 Alpha “Pinkie”]
  * Initial alpha release.

  [ Xfce 4.6 Beta 1 “Fuzzy”]
  * New upstream beta release.
  * debian/control:
    - update build-deps for Fuzzy.
    - drop build-deps on X.
  * debian/rules:
    - update shlibs for Fuzzy.

  [ Xfce 4.6 Beta 2 “Hopper”]
  * New upstream beta release.
  * debian/control:
    - update build-deps for “Hopper”.
    - update package name to match soname bump.
    - add dep on dbus-x11 for xfconf.
  * debian/rules:
    - update shlibs for xfconf 4.5.92
    - explicitely disable perl bindings.
  * debian/libxfconf-0-0 renamed to debian/libxfconf-0-2.

  [ Xfce 4.6 Beta 3 “Tuco-tuco”]
  * new upstream beta release.
  * debian/control:
    - update build-deps for “Tuco-Tuco”.
    - add explicit dep for pkg-config, libglib2.0-dev on -dev package.
  * debian/rules:
    - bump shlibs for 4.5.93.
    - pass libexecdir to configure.
    - install xfconf-query.1 manpage.
  * debian/xfconf.install:
    - install usr/lib/xfconfd in xfconf.
  * debian/xfconf-query.1: provide a manpage for xfconf-query.

  [ Xfce 4.6 RC1 “Capybara” ]
  * new upstream release candidate.
  * debian/rules:
    - bump shlibs to 4.5.99.1.

  [ Xfce 4.6 ]
  * Initial release.                                            closes: #516873
  * debian/control:
    - hump build-deps for 4.6.0.
  * debian/rules:
    - bump shlibs to 4.6.0.

  [ Michael Casadevall]
  * debian/control
    - updated xfconf descriptions
    - added myself to uploaders
  * debian/watch

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 28 Feb 2009 12:04:33 +0100
